
import java.util.*;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

import sample2.Sample2Home;
import sample2.Sample2;

public class Sample2Client
{

  public static void main(String[] args)
  {
    String correlID;

    // check for supplied parameter
    if (args.length == 0) {
      System.out.println("Usage: java Sample2Client <text string>");
      return;
    }

    System.out.println("calling Sample2 EJB with string '"+args[0]+"'");

    try {
      // Setup for connecting to WebSphere JNDI Namespace
      Hashtable env = new Hashtable();
      env.put( Context.INITIAL_CONTEXT_FACTORY, "com.ibm.ejs.ns.jndi.CNInitialContextFactory" );
      // Replace localhost with the hostname of the server if necessary
      env.put( Context.PROVIDER_URL, "iiop://localhost/" );

      Context initial = new InitialContext(env);

      // Lookup EJB Home object
      Object objref = initial.lookup("jmsSample2");

      // Narrow to appropriate type
      Sample2Home home = (Sample2Home)javax.rmi.PortableRemoteObject.narrow((org.omg.CORBA.Object) objref, Sample2Home.class);

      // Create the remote stub for the EJB
      Sample2 testBean = home.create();

      System.out.println("calling putMessage");
      correlID = testBean.putMessage(args[0]);

      if (correlID != null) {
        System.out.println("calling getMessage");
        String response = testBean.getMessage(correlID);
        System.out.println("got message '"+response+"'");

      } else {
        System.out.println("EJB failed to put message to queue");
      }

      System.out.println("done");

    } catch (Exception ex) {
      System.err.println("Caught an unexpected exception!");
      ex.printStackTrace();
    }
  } 
} 
