#
# Name:          XASWIT.MAK
#
# Description:   Sun Solaris makefile for DB2, Oracle and Sybase XA switch files
#
# Statement:     Licensed Materials - Property of IBM
#                04L1816, 5765-B75
#                (C) Copyright IBM Corp. 1998
#
#
# To make the DB2 XA switch load file, run the command:-
#                make -f xaswit.mak db2swit
#
# To make the Oracle XA switch load file, run the command:-
#                make -f xaswit.mak oraswit
#
# To make the Sybase XA switch load file, run the command:-
#                make -f xaswit.mak sybswit
#
#
# Note: If your database libraries are in a different directory
#       to the one listed in the xxxLIBPATH statement, you will
#       need to alter or add that directory to the statement.

#--------------------------------------------------------------------
# DB2 XA switch file
#--------------------------------------------------------------------

DB2LIBS=-ldb2

# Uncomment the following line to use IBM DB2 V6.1
# DB2LIBPATH=-L /opt/IBMdb2/V6.1/lib -R /opt/IBMdb2/V6.1/lib

# Uncomment the following line to use IBM DB2 V7.1
# DB2LIBPATH=-L /opt/IBMdb2/V7.1/lib -R /opt/IBMdb2/V7.1/lib

# The following line is for DB2 V8.1
DB2LIBPATH=-L /opt/IBM/db2/V8.1/lib -R /opt/IBM/db2/V8.1/lib

db2swit:
	$(CC) -G -e MQStart $(DB2LIBPATH) $(DB2LIBS) -o $@ db2swit.c

#--------------------------------------------------------------------
# Oracle XA switch file
#--------------------------------------------------------------------
ORALIBS=-lclntsh -lm
ORALIBPATH=-L $(ORACLE_HOME)/lib

# Uncomment the following lines to use Oracle8 or Oracle9
# include $(ORACLE_HOME)/precomp/lib/env_precomp.mk
# PROLDLIBS=$(LLIBCLNTSH) $(SCOREPT) $(SSCOREED) $(DEF_ON) $(LLIBSQL) $(STATICTTLIBS)
# ORALIBPATH=-R $(ORACLE_HOME)/lib -L $(ORACLE_HOME)/lib $(PROLDLIBS)

oraswit:
	$(CC) -G -e MQStart $(ORALIBPATH) $(ORALIBS) -o $@ oraswit.c

#--------------------------------------------------------------------
# Sybase XA switch file
#--------------------------------------------------------------------
SYBVER=
SYBLIBS=-lintl -lxaserver -lct -lcs -lcomn -ltcl -ldl
SYBLIBPATH=-L $(SYBASE)/lib -R $(SYBASE)/lib

# Uncomment the following lines to use Sybase V12.  NOTE that we link here
# with the thread-safe (_r) versions of the Sybase client libraries.  Your
# applications that call MQBEGIN must also be linked with the _r versions,
# since they will attempt to dynamically load the switch load file that is
# produced by this link command.
#
# SYBVER=-DSYBASE_V12
# SYBLIBS=-lintl_r -lxadtm -lct_r -lcs_r -lcomn_r -ltcl_r -ldl
# SYBLIBPATH=-L $(SYBASE)/$(SYBASE_OCS)/lib -R $(SYBASE)/$(SYBASE_OCS)/lib

sybswit:
	$(CC) -G -e MQStart $(SYBVER) $(SYBLIBPATH) $(SYBLIBS) -o $@ sybswit.c

